[package]
name = "siren-api"
edition.workspace = true
version.workspace = true
rust-version.workspace = true
authors.workspace = true

[dependencies]
siren-core   = { workspace = true }
siren-bot    = { workspace = true }
tokio        = { workspace = true }
log          = { workspace = true }
serde        = { workspace = true }
serde_json   = { workspace = true }
axum         = { workspace = true }
axum-extra   = { workspace = true }
serenity     = { workspace = true }
reqwest      = { workspace = true }
jsonwebtoken = { workspace = true }
chrono       = { workspace = true }
uuid         = { workspace = true }
rand         = { workspace = true }
rand_chacha  = { workspace = true }
sqlx         = { workspace = true }
redis        = { workspace = true }
tower-http    = { workspace = true }
dashmap       = { workspace = true }
futures-util  = { workspace = true }
argon2        = { workspace = true }
sha2          = { workspace = true }
cookie        = { workspace = true }
